Package org.apache.solr.common.params

# Enum Class FacetParams.FacetRangeInclude

java.lang.Object
java.lang.Enum<FacetParams.FacetRangeInclude>
org.apache.solr.common.params.FacetParams.FacetRangeInclude

All Implemented Interfaces:
  `Serializable`, `Comparable<FacetParams.FacetRangeInclude>`, `java.lang.constant.Constable`

Enclosing interface:
  `FacetParams`

public static enum FacetParams.FacetRangeInclude extends Enum<FacetParams.FacetRangeInclude>
An enumeration of the legal values for `FacetParams.FACET_DATE_INCLUDE` and `FacetParams.FACET_RANGE_INCLUDE`

- lower = all gap based ranges include their lower bound
- upper = all gap based ranges include their upper bound
- edge = the first and last gap ranges include their edge bounds (ie: lower for the first one, upper for the last one) even if the corresponding upper/lower option is not specified
- outer = the BEFORE and AFTER ranges should be inclusive of their bounds, even if the first or last ranges already include those boundaries.
- all = shorthand for lower, upper, edge, and outer

See Also:
  - `FacetParams.FACET_DATE_INCLUDE`
  - `FacetParams.FACET_RANGE_INCLUDE`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`EDGE`
`LOWER`
`OUTER`
`UPPER`

## Method Summary

Modifier and Type
Method
Description
`static FacetParams.FacetRangeInclude`
`get(String label)`
`static EnumSet<FacetParams.FacetRangeInclude>`
`parseParam(String[] param)`
Convenience method for parsing the param value according to the correct semantics and applying the default of "LOWER"
`String`
`toString()`
`static FacetParams.FacetRangeInclude`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FacetParams.FacetRangeInclude[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final FacetParams.FacetRangeInclude ALL

### LOWER

public static final FacetParams.FacetRangeInclude LOWER

### UPPER

public static final FacetParams.FacetRangeInclude UPPER

### EDGE

public static final FacetParams.FacetRangeInclude EDGE

### OUTER

public static final FacetParams.FacetRangeInclude OUTER

## Method Details

### values

public static FacetParams.FacetRangeInclude[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FacetParams.FacetRangeInclude valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FacetParams.FacetRangeInclude>`

### get

public static FacetParams.FacetRangeInclude get(String label)

### parseParam

public static EnumSet<FacetParams.FacetRangeInclude> parseParam(String[] param)
Convenience method for parsing the param value according to the correct semantics and applying the default of "LOWER"